MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022324Community[OCCT] OCCT:Modeling Algorithmspublic2011-03-16 09:532012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.5.1 
Summary0022324: Mistakes with parenthesis position in abs calls
Descriptionhttp://www.opencascade.org/org/forum/thread_20187/. [^]
In various files there is an issue with parenthesis position in abs calls:
Adaptor3d_CurveOnSurface.cxx
Aspect_RectangularGrid.cxx
GeomFill_BoundWithSurf.cxx

Patch is attached.
"In various files there is an issue with parenthesis position in abs calls.The files are :

Adaptor3d_CurveOnSurface.cxx
if(Abs(Coord-Arr(i)>Tol)) Standard_NotImplemented::Raise("Adaptor3d_CurveOnSurface:Hunt");
should become
if(Abs(Coord-Arr(i))>Tol) Standard_NotImplemented::Raise("Adaptor3d_CurveOnSurface:Hunt");


Aspect_RectangularGrid.cxx
return Abs( Sin(alpha)*Cos(beta+Standard_PI/2.) - Cos(alpha)*Sin(beta+Standard_PI/2.) != 0) ;
should become
return (Abs( Sin(alpha)*Cos(beta+Standard_PI/2.) - Cos(alpha)*Sin(beta+Standard_PI/2.)) != 0) ;


GeomFill_BoundWithSurf.cxx
if(Abs(deno < 1.e-16)){
should become
if(Abs(deno) < 1.e-16){

Fotis"
TagsNo tags attached.
Test case number
Attached Fileszip file icon OCC22324.zip (11,859 bytes) 2011-03-16 10:52

- Relationships

-  Notes
(0017079)
ycy (tester)
2011-04-27 15:41
edited on: 2011-11-24 16:56

Dear BugMaster,
Workbench KAS:dev:OCC22324-v1-opt has been created from OCC22324.zip and
compiled on Linux platform.
There are following regressions(/differences) in OCC22324-v1-opt regarding to
KAS:dev:products-20110228-opt

Regressions were not found.

See results in /QADisk/occttests/results/KAS/dev/OCC22324-v1-opt_08042011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-20110228-opt_03032011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.htm [^]


- Related Changesets
occt: master 82ac7cbb
Timestamp: 2011-04-28 15:02:22
Author: szy
Committer: bugmaster
Details ] Diff ]
OCC22324 Mistakes with parenthesis position in abs calls
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff ] File ]
mod - src/Aspect/Aspect_RectangularGrid.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_BoundWithSurf.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-03-16 10:55 bugmaster Status closed => assigned
2011-03-16 10:55 bugmaster Resolution suspended => @0@
2011-03-16 10:56 bugmaster Assigned To bugmaster => szy
2011-03-16 10:56 bugmaster Status assigned => resolved
2011-04-27 19:58 mkv Status resolved => tested
2011-04-28 19:02 bugmaster Status tested => verified
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-24 16:55 szy Description Updated View Revisions
2011-11-24 16:56 szy Note Edited: 0017079 View Revisions
2011-11-24 16:56 szy Note Edited: 0017079 View Revisions
2012-03-29 17:26 bugmaster Changeset attached => occt master 82ac7cbb


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker